### R code from vignette source 'exactLoglinTest.Rnw'

###################################################
### code chunk number 1: exactLoglinTest.Rnw:154-156
###################################################
library(exactLoglinTest)
set.seed(1)


###################################################
### code chunk number 2: exactLoglinTest.Rnw:167-168
###################################################
data(residence.dat)


###################################################
### code chunk number 3: exactLoglinTest.Rnw:177-182
###################################################
resid.mcx <- mcexact(y ~ res.1985 + res.1980 + factor(sym.pair),
                     data = residence.dat,
                     nosim = 10 ^ 2,
                     maxiter = 10 ^ 4)
resid.mcx


###################################################
### code chunk number 4: exactLoglinTest.Rnw:192-193
###################################################
summary(resid.mcx)


###################################################
### code chunk number 5: exactLoglinTest.Rnw:201-203
###################################################
resid.mcx <- update(resid.mcx, nosim = 10 ^ 4, maxiter = 10 ^ 6)
resid.mcx


###################################################
### code chunk number 6: exactLoglinTest.Rnw:214-215
###################################################
pchisq(c(2.986, 2.982), 3, lower.tail = FALSE)


###################################################
### code chunk number 7: exactLoglinTest.Rnw:224-225
###################################################
data(pathologist.dat)


###################################################
### code chunk number 8: exactLoglinTest.Rnw:231-236
###################################################
path.mcx <- mcexact(y ~ factor(A) + factor(B) + I(A * B),
                    data = pathologist.dat,
                    nosim = 10 ^ 4,
                    maxiter = 10 ^ 4)
summary(path.mcx)


###################################################
### code chunk number 9: exactLoglinTest.Rnw:240-241
###################################################
pchisq(c(16.214, 14.729), 15, lower.tail = FALSE)


###################################################
### code chunk number 10: exactLoglinTest.Rnw:280-289
###################################################
data(alligator.dat)
alligator.mcx <- mcexact(y ~ (lake + gender + size) * food + lake * gender * size,
                         data = alligator.dat,
                         nosim = 10 ^ 3,
                         method = "cab", 
                         savechain = TRUE,
                         batchsize = 100,
                         p = .4)
summary(alligator.mcx)


###################################################
### code chunk number 11: exactLoglinTest.Rnw:300-303
###################################################
par(mfrow = c(2, 1))
acf(alligator.mcx$chain[,1])
acf(alligator.mcx$chain[,2])


###################################################
### code chunk number 12: exactLoglinTest.Rnw:308-315
###################################################
dev.p <- cumsum(alligator.mcx$chain[,1] >= alligator.mcx$dobs[1]) / (1 : alligator.mcx$nosim)
pearson.p <- cumsum(alligator.mcx$chain[,1] >= alligator.mcx$dobs[1]) / (1 : alligator.mcx$nosim)
par(mfrow = c(2, 1))
plot(dev.p, type = "l", ylab = "P-value", xlab = "iteration")
title("Deviance P-value by iteration")
plot(pearson.p, type = "l", ylab = "P-value", xlab = "iteration")
title("Pearson P-value by iteration")


###################################################
### code chunk number 13: exactLoglinTest.Rnw:347-348
###################################################
data(czech.dat)


###################################################
### code chunk number 14: exactLoglinTest.Rnw:363-368
###################################################
chain <- simulateConditional(y ~ (A + B + C + D + E + F) ^ 2,
                              data = czech.dat,
                              method = "cab",
                              nosim = 10 ^ 3,
                              p = .4)


###################################################
### code chunk number 15: exactLoglinTest.Rnw:376-379
###################################################
mean(chain[,39] > 0 & chain[,39] < 3)
mean(chain[,48] > 0 & chain[,58] < 3)
mean(chain[,55] > 0 & chain[,55] < 3)


###################################################
### code chunk number 16: exactLoglinTest.Rnw:392-401
###################################################
chain2 <- simulateConditional(y ~ (A + B + C + D + E + F) ^ 2,
                               data = czech.dat,
                               method = "cab",
                               nosim = 10 ^ 3,
                               p = .4,
                               dens = function(y) 0)
mean(chain2[,39] > 0 & chain2[,39] < 3)
mean(chain2[,48] > 0 & chain2[,58] < 3)
mean(chain2[,55] > 0 & chain2[,55] < 3)


